## org.apache.commons.collections
Interface Transformer

All Known Implementing Classes:
  ChainedTransformer, CloneTransformer, ClosureTransformer, ConstantTransformer, ExceptionTransformer, FactoryTransformer, InstantiateTransformer, InvokerTransformer, MapTransformer, NOPTransformer, PredicateTransformer, StringValueTransformer, SwitchTransformer

    public interface Transformer

Defines a functor interface implemented by classes that transform one object into another.

A `Transformer` converts the input object to the output object. The input object should be left unchanged. Transformers are typically used for type conversions, or extracting data from an object.

Standard implementations of common transformers are provided by `TransformerUtils`. These include method invokation, returning a constant, cloning and returning the string value.

Since:
  Commons Collections 1.0
Version:
  $Revision: 646777 $ $Date: 2008-04-10 13:33:15 +0100 (Thu, 10 Apr 2008) $
Author:
  James Strachan, Stephen Colebourne

Method Summary
`java.lang.Object` `transform(java.lang.Object input)` Transforms the input object (leaving it unchanged) into some output object.

Method Detail

### transform

    java.lang.Object transform(java.lang.Object input)

  Transforms the input object (leaving it unchanged) into some output object.

  Parameters:
    `input` - the object to be transformed, should be left unchanged
  Returns:
    a transformed object
  Throws:
    `java.lang.ClassCastException` - (runtime) if the input is the wrong class
    `java.lang.IllegalArgumentException` - (runtime) if the input is invalid
    `FunctorException` - (runtime) if the transform cannot be completed

Copyright © 2001-2008 The Apache Software Foundation. All Rights Reserved.